List Invoices

GET /tenants/{tenant}/subscription/billing/invoices

Returns a paginated list of invoices for the tenant's billing account with optional filtering by status and date range.

Parameters

NameTypeDescription
tenant* path string

The Tenant.Code

The Tenant.Code

status query enum

Defines the status of a billing invoice.

Draft Issued PaymentPending Paid PaymentFailed Cancelled

Defines the status of a billing invoice.

Draft Issued PaymentPending Paid PaymentFailed Cancelled

fromDate query string (date)
toDate query string (date)
offset query integer (int32)

Number of records to skip (default: 0). Use with limit for pagination.

Number of records to skip (default: 0). Use with limit for pagination.

limit query integer (int32)

Maximum number of records to return (default: 10, max: 50)

Maximum number of records to return (default: 10, max: 50)

sortBy query string

Field to sort by.

Field to sort by.

sortDesc query boolean

Sort in descending order (true) or ascending order (false, default)

Sort in descending order (true) or ascending order (false, default)

Responses

401 Unauthorized – Invalid or missing API key
404 Not Found